/*:root{*/
/*    --nav_textsize*/
/*}*/

/*main {*/
/*    !*overflow-x: hidden;*!*/
/*    !*overflow-y: scroll;*!*/
/*    box-sizing: border-box;*/
/*    height: 100vh;*/
/*    width: 100vw;*/
/*    position: relative;*/
/*    z-index: 2;*/
/*    transition: transform 500ms cubic-bezier(.13,.53,.38,.97);*/
/*}*/

body[data-nav="true"] > main{
    transform: translateY(-50%);
    height: 50vh;
}


nav {
    color: #4AF626;
    /*height: 30vh;*/
    width: 100%;
    position: relative;
    left: 0;
    bottom: 0;
    z-index: 1;
    overflow-x: hidden;
    padding: 3rem;

}

.nav-link{
    color: #4AF626;
    /*padding: 1rem;*/
    width: 100%;
}

#menu-button {
    height: 5rem;
    width: 5rem;
    left: 50%;
    bottom: 4rem;
    position: fixed;
    background-color: transparent;
    z-index: 999;
    transform: translateX(-50%);
    border: none;
}

/*#menu-button:hover {*/
/*    transform: translateX(-50%) scale(1.25);*/
/*    cursor: pointer;*/
/*}*/

.nav-padding {
    list-style-type: none;
    padding: .5rem;
    width: 200px;
    /*min-width: 200px;*/
}

.nav-padding:hover{
    padding: 0;
}

/* Menu Glitch effect*/

.nav-link:hover {

    font-size: 3rem;
    text-transform: uppercase;
    position: relative;
    text-shadow: 0.05em 0 0 red, -0.03em -0.04em 0 green,
    0.025em 0.04em 0 blue;
    animation: glitch 550ms infinite;
}

.nav-link span{
    display: none;
}

.nav-link:hover span {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
}

.nav-link:hover span:first-child {
    animation: glitch 500ms infinite;
    clip-path: polygon(0 0, 100% 0, 100% 35%, 0 35%);
    transform: translate(-.02em, -0.03em);
    opacity: 0.75;
}

.nav-link:hover span:last-child {
    animation: glitch 375ms infinite;
    clip-path: polygon(0 65%, 100% 65%, 100% 100%, 0 100%);
    transform: translate(0.025em, 0.03em);
    opacity: 0.75;
}

@keyframes glitch {
    0% {
        text-shadow: 0.05em 0 0 red, -0.03em -0.04em 0 #4AF626,
        0.025em 0.04em 0 blue;
    }
    15% {
        text-shadow: 0.2em 0 0 red, -0.03em -0.04em 0 #4AF626,
        0.025em 0.04em 0 blue;
    }
    16% {
        text-shadow: -0.25em -0.025em 0 #00fffc, 0.025em 0.035em 0 #fc00ff,
        -0.05em -0.05em 0 #fffc00;
    }
    49% {
        text-shadow: -0.25em -0.025em 0 #00fffc, 0.025em 0.035em 0 #fc00ff,
        -0.05em -0.05em 0 #fffc00;
    }
    50% {
        text-shadow: 0.05em 0.035em 0 #00fffc, 0.03em 0 0 #fc00ff,
        0 -0.04em 0 #fffc00;
    }
    99% {
        text-shadow: 0.05em 0.035em 0 #00fffc, 0.03em 0 0 #fc00ff,
        0 -0.04em 0 #fffc00;
    }
    100% {
        text-shadow: -0.05em 0 0 #00fffc, -0.025em -0.04em 0 #fc00ff,
        -0.04em -0.025em 0 #fffc00;
    }
}

/*Menu Glitch effect End*/

/*Text Nav Styling*/

/*nav-command-line{
    display: flex;
    flex-direction: row;
}

#underscore-blinker{
    !*width: 15%;*!
}

#text-nav {
    font-size: 3rem;
    width: 85% ;
    background-color: rgba(10,10,10);
    outline: none;
    color: #4AF626;
    border: none;
}

#text-nav::selection{
    border: none;
}

#text-nav::placeholder{
    color: #4AF626;
}*/

/*Text Nav Styling End*/